Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Fehler in Block mit Attribut und Verknüpfung zu anderen Elementen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Fehler in Block mit Attribut und Verknüpfung zu anderen Elementen (807 mal gelesen)
muffinmaker
Mitglied
Architekt


Sehen Sie sich das Profil von muffinmaker an!   Senden Sie eine Private Message an muffinmaker  Schreiben Sie einen Gästebucheintrag für muffinmaker

Beiträge: 103
Registriert: 11.12.2007

AutoCAD 2014
Windows 7

erstellt am: 11. Jul. 2016 16:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


screenshot.66.png

 
Hallo zusammen,

erstmal eine Erklärung der kryptischen Betreffzeile:

Ich habe einen Block angelegt, der die Türmaße Höhe und Breite enthalten soll. Um es ein klein wenig zu vereinfachen habe ich eine Linie gezeichnet, aus der das Attribut "Türbreite" die Länge ausliest.
Nach Erstellung des Blocks funktioniert auch alles prima, mit der Längenänderung der Linie wird auch der Wert des Attributs entsprechend geändert.

Nun das Problem:
Wenn ich mit "refbearb" Änderungen am Block vornehmen will, lässt er sich nicht öffnen und gibt folgende Fehlermeldung aus:

Zitat:

Fehler in Referenzen auf andere Objekte gefunden:
** Referenz auf Objekt fehlt: AcDbField, auf AcDbLine.

Die Linie, aus der sich der Attributwert generiert ist vorhanden und die Verknüpfung funktioniert auch (Längenänderung = Wertänderung)
Das gleiche passiert auch, wenn ich die Länge nicht als Attribut, sondern als "dummes" Textfeld ausgebe.

Attribut mitsamt Block wurde schon mehrfach neu erstellt, allerdings ohne Besserung.

Ich habe das Auslesen von Geometrien für Tür- Fenster- und Raumstempel schon Exzessiv genutzt (-> automatisierte Tür- Fenster- und Raumlisten), diese Fehlermeldung ist mir allerdings neu...

Hat jemand eine Idee, wie sich das umgehen / beheben lässt?

Vielen Dank schonmal und beste Grüße,
Tobias

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Fiedelzastrow
Mitglied
Architekt / Bauzeichner


Sehen Sie sich das Profil von Fiedelzastrow an!   Senden Sie eine Private Message an Fiedelzastrow  Schreiben Sie einen Gästebucheintrag für Fiedelzastrow

Beiträge: 991
Registriert: 05.07.2007

Win XP
AutoCAD 2006
AutoCAD 2009
AutoCAD 2012 LT

erstellt am: 11. Jul. 2016 16:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für muffinmaker 10 Unities + Antwort hilfreich

Hallo Thomas,

anhand einer Datei lässt sich immer besser Helfen. Am Bild erkenne ich nur, dass was Du beschreibst.

Ein Bild sagt mehr als tausend Worte und eine Zeichnung mehr als tausend Bilder 

Gruß
Robert

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

muffinmaker
Mitglied
Architekt


Sehen Sie sich das Profil von muffinmaker an!   Senden Sie eine Private Message an muffinmaker  Schreiben Sie einen Gästebucheintrag für muffinmaker

Beiträge: 103
Registriert: 11.12.2007

AutoCAD 2014
Windows 7

erstellt am: 11. Jul. 2016 16:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Turstempel.dwg

 
OK, hier die DWG mit dem Problemblock...

edit: einmal mit Textfeld und einmal mit Attribut

[Diese Nachricht wurde von muffinmaker am 11. Jul. 2016 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Kuschelfee
Mitglied
Bauzeichnerin


Sehen Sie sich das Profil von Kuschelfee an!   Senden Sie eine Private Message an Kuschelfee  Schreiben Sie einen Gästebucheintrag für Kuschelfee

Beiträge: 127
Registriert: 07.05.2007

Soficad 2018-7
AutoCAD 2019.1.2
Windows 7 Professional

erstellt am: 11. Jul. 2016 18:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für muffinmaker 10 Unities + Antwort hilfreich

Deine Fehlermeldung erscheint nur wenn der Block an jeweiliger Stelle bearbeitet wird.
Warum bearbeitest Du den Block nicht im Blockeditor?
BBEARB
oder Ribbon -> Einfügen -> Reiter Block -> Blockeditor
oder bei angewählten Block rechte Maustaste und im Kontexmenü Blockeditor ...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Kuschelfee
Mitglied
Bauzeichnerin


Sehen Sie sich das Profil von Kuschelfee an!   Senden Sie eine Private Message an Kuschelfee  Schreiben Sie einen Gästebucheintrag für Kuschelfee

Beiträge: 127
Registriert: 07.05.2007

Soficad 2018-7
AutoCAD 2019.1.2
Windows 7 Professional

erstellt am: 11. Jul. 2016 18:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für muffinmaker 10 Unities + Antwort hilfreich

So nun zu deiner Fehlermeldung.
Dem Attribut bzw. dem Text hast du ein "Vorgabe Schriftfeld" gegeben mit einem Bezug zu einem Objekt außerhalb deines Blockes. Ich nehme an Du hast alles erstellt und dann eine Block daraus gemacht.
Solange du den Block nur in dieser Zeichnung inkl. Linie kopierst bleibt die Verknüpfung erhalten,
würdest Du diesen Block in eine andere Zeichnung einfügen (selbst wenn Du deine Linie mit Strg/C, Strg/V mitnimmst) würde AutoCAD dies Objekt ggf. nicht finden. Da jedes Eingefügte Objekt eine neue Interne Nummer erhält.
Wenn du deinen Block im Blockeditor geöffnet hast und das Vorgabeschriftfeld des Attribut in einen Text wandelst und den Blockeditor mit speichern beendest kannst Du Ihn auch wieder mit refbearb bearbeiten

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

muffinmaker
Mitglied
Architekt


Sehen Sie sich das Profil von muffinmaker an!   Senden Sie eine Private Message an muffinmaker  Schreiben Sie einen Gästebucheintrag für muffinmaker

Beiträge: 103
Registriert: 11.12.2007

AutoCAD 2014
Windows 7

erstellt am: 12. Jul. 2016 13:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Zitat:
Warum bearbeitest Du den Block nicht im Blockeditor?
BBEARB

stimmt, funktioniert, danke für den Workaraound!

Zitat:
Wenn du deinen Block im Blockeditor geöffnet hast und das Vorgabeschriftfeld des Attribut in einen Text wandelst und den Blockeditor mit speichern beendest kannst Du Ihn auch wieder mit refbearb bearbeiten

Aber ich möchte ja gerade die Attribute nutzen um z.B. eine Türliste automatisch zu generieren.

Bleibt die Frage, warum AutoCAD ein Problem mit einer angeblich fehlerhaften Referenz hat, die jedoch eindeutig vorhanden ist und auch wie gewünscht funktioniert...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Kramer24
Ehrenmitglied V.I.P. h.c.
Architekt


Sehen Sie sich das Profil von Kramer24 an!   Senden Sie eine Private Message an Kramer24  Schreiben Sie einen Gästebucheintrag für Kramer24

Beiträge: 5789
Registriert: 09.11.2001

erstellt am: 12. Jul. 2016 13:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für muffinmaker 10 Unities + Antwort hilfreich

Hallo,

du kannst den Block auch auflösen und neu definieren. Dabei identischen Einfügepunkt und Namen nennen. Nach der Neudefinition sind dann alle Blöcke gleich. Bitte vorher testen, ob deine weiteren Listen dann noch funktionieren.

Lothar

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Fiedelzastrow
Mitglied
Architekt / Bauzeichner


Sehen Sie sich das Profil von Fiedelzastrow an!   Senden Sie eine Private Message an Fiedelzastrow  Schreiben Sie einen Gästebucheintrag für Fiedelzastrow

Beiträge: 991
Registriert: 05.07.2007

Win XP
AutoCAD 2006
AutoCAD 2009
AutoCAD 2012 LT

erstellt am: 12. Jul. 2016 14:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für muffinmaker 10 Unities + Antwort hilfreich

Hallo muffinmaker,

ich persöhnlich habe mich noch nicht so in diese Thematik (dynamische Blöcke) eingearbeitet.
Aber das Thema Türblöcke gab es schon zu hauf.
Hier, wie ich finde ein recht gelungenes Beispiel. Kannst ja mal ein bischen mit rumspielen und nachvollziehen was gemacht wurde.
Mit ein paar Modifikationen kannst Du ihn evtl. übernehmen.

Gruß
Robert

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz